services:
    _defaults:
        autoconfigure: false
        public: false

    Claroline\OpenBadgeBundle\Manager\BadgeManager:
        arguments:
            - '@Claroline\CoreBundle\Manager\Template\TemplateManager'
            - '@twig'
            - '@messenger.default_bus'
            - '@Claroline\AppBundle\Manager\PlatformManager'

    Claroline\OpenBadgeBundle\Manager\AssertionManager:
        arguments:
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@event_dispatcher'
            - '@Claroline\AppBundle\Manager\PlatformManager'
            - '@Claroline\CoreBundle\Library\RoutingHelper'
            - '@Claroline\CoreBundle\Manager\Template\TemplateManager'

    Claroline\OpenBadgeBundle\Manager\RuleManager:
        arguments:
          - '@Claroline\AppBundle\Persistence\ObjectManager'
          - '@messenger.default_bus'
          - !tagged_iterator { tag: 'claroline.badge.rule', default_index_method: 'getType' }
